import { jsx } from "react/jsx-runtime";
import { TokenFYN as TokenFYN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFYN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FYN", "data-name": "TokenFYN", ...props, children: /* @__PURE__ */ jsx(TokenFYN$1, { variant }) });
  }
);
TokenFYN.displayName = "TokenFYN";
Object.assign(TokenFYN, { isGdsIcon: true });
export {
  TokenFYN
};
